// Code generated by go-swagger; DO NOT EDIT.

package images

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*ImageBuildDefault An unexpected error response

swagger:response imageBuildDefault
*/
type ImageBuildDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewImageBuildDefault creates ImageBuildDefault with default headers values
func NewImageBuildDefault(code int) *ImageBuildDefault {
	if code <= 0 {
		code = 500
	}

	return &ImageBuildDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the image build default response
func (o *ImageBuildDefault) WithStatusCode(code int) *ImageBuildDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the image build default response
func (o *ImageBuildDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the image build default response
func (o *ImageBuildDefault) WithPayload(payload *models.Error) *ImageBuildDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the image build default response
func (o *ImageBuildDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *ImageBuildDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
